RuntimeException
UnexpectedValueException
Exceptions
PHP Manual

# The UnderflowException class

## Введение

Exception thrown when you try to remove an element of an empty container

## Class synopsis

UnderflowException
UnderflowException extends RuntimeException {
/* Inherited methods */
final public string Exception::getMessage ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

RuntimeException
UnexpectedValueException
Exceptions
PHP Manual